View all methods
userGroups.delete
Soft deletes a user group (marks it as deleted without removing it from the database).
Facts
| Method | POST https://api.getdx.com/userGroups.delete |
| Required scope | user_groups:write |
Arguments
Required arguments
| Name | Type | Description |
|---|---|---|
token |
Token |
Auth token passed as an HTTP header. |
id |
Text |
The group ID. |
Example request
This is a typical request:
curl -X POST https://api.getdx.com/userGroups.delete \
-H 'Accept: application/json' \
-H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx' \
-d 'id=group_id'
Example response
This is a typical success response:
{
"ok": true
}
Errors
This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.
| Error | Description |
|---|---|
not_authed |
No authentication token provided. |
invalid_auth |
Some aspect of authentication cannot be validated. |
not_found |
Group with the specified ID not found. |
Notes
- This operation performs a soft delete - the group is marked as deleted but not removed from the database
- Once deleted, a group cannot be retrieved through the API
- Group members will be automatically removed when the group is deleted